> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SCIM Connection Groups

> Retrieve a paginated list of all SCIM Groups associated with a given SCIM Connection



## OpenAPI

````yaml GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/b2b/scim/{organization_id}/connection/{connection_id}:
    get:
      tags:
        - B2B Scim
      summary: Getgroups
      description: >-
        Gets a paginated list of all SCIM Groups associated with a given
        Connection.
      operationId: api_b2b_scim_v1_b2b_scim_connection_GetGroups
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Globally unique UUID that identifies a specific Organization. The
              `organization_id` is critical to perform operations on an
              Organization, so be sure to preserve this value. You may also use
              the organization_slug or organization_external_id here as a
              convenience.
          description: >-
            Globally unique UUID that identifies a specific Organization. The
            `organization_id` is critical to perform operations on an
            Organization, so be sure to preserve this value. You may also use
            the organization_slug or organization_external_id here as a
            convenience.
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the SCIM connection.
          description: The ID of the SCIM connection.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: >-
              The `cursor` field allows you to paginate through your results.
              Each result array is limited to 1000 results. If your query
              returns more than 1000 results, you will need to paginate the
              responses using the `cursor`. If you receive a response that
              includes a non-null `next_cursor` in the `results_metadata`
              object, repeat the search call with the `next_cursor` value set to
              the `cursor` field to retrieve the next page of results. Continue
              to make search calls until the `next_cursor` in the response is
              null.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            description: >-
              The number of search results to return per page. The default limit
              is 100. A maximum of 1000 results can be returned by a single
              search request. If the total size of your result set is greater
              than one page size, you must paginate the response. See the
              `cursor` field.
        - name: X-Stytch-Member-Session
          in: header
          required: false
          description: >-
            A Stytch session that can be used to run the request with the given
            member's permissions.
          schema:
            type: string
        - name: X-Stytch-Member-SessionJWT
          in: header
          required: false
          description: >-
            A Stytch Session JSON Web Token (JWT) that can be used to run the
            request with the given member's permissions.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_b2b_scim_v1_b2b_scim_connection_GetGroupsResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
            };

            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };

            client.SCIM.Connection.GetGroups(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// GET /v1/b2b/scim/{organization_id}/connection/{connection_id}\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/scim/connection\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/methodoptions\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &connection.GetGroupsParams{\n\t\tOrganizationID: \"organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931\",\n\t\tConnectionID:   \"scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc\",\n\t}\n\n\toptions := &connection.GetGroupsParamsOptions{\n\t\tAuthorization: methodoptions.Authorization{\n\t\t\tSessionToken: \"${sessionToken}\",\n\t\t},\n\t}\n\n\tresp, err := client.SCIM.Connection.GetGroups(context.Background(), params, options)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // GET /v1/b2b/scim/{organization_id}/connection/{connection_id}

            package com.example;


            import com.stytch.java.b2b.models.scimconnection.GetGroupsRequest;

            import
            com.stytch.java.b2b.models.scimconnection.GetGroupsRequestOptions;

            import com.stytch.java.b2b.StytchB2BClient;

            import com.stytch.java.common.methodoptions.Authorization;

            import com.stytch.java.common.StytchResult;


            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    GetGroupsRequest params = new GetGroupsRequest();
                    params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
                    params.setConnectionId("scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc");

                    GetGroupsRequestOptions options = new GetGroupsRequestOptions();
                    Authorization authorization = new Authorization();
                    authorization.setSessionToken("${sessionToken}");
                    options.setAuthorization(authorization);

                    Object result = StytchB2BClient.getSCIM().getConnection().getGroups(params, options);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // GET /v1/b2b/scim/{organization_id}/connection/{connection_id}

            package com.example


            import com.stytch.java.b2b.StytchB2BClient

            import com.stytch.java.b2b.models.scimconnection.GetGroupsRequest

            import
            com.stytch.java.b2b.models.scimconnection.GetGroupsRequestOptions

            import com.stytch.java.common.methodoptions.Authorization


            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.scim.connection.getGroups(
                            GetGroupsRequest(
                                organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                                connectionId = "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
                            ),
                            GetGroupsRequestOptions(
                                Authorization(
                                    sessionToken = "${sessionToken}",
                                ),
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
            };

            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };

            client.scim.connection.getGroups(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->scim->connection->get_groups([
                'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
                'connection_id' => 'scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc',
            ], [
                    'authorization' => ['session_token' => '${sessionToken}'],

            ]);
        - lang: python
          label: Python
          source: >
            # GET /v1/b2b/scim/{organization_id}/connection/{connection_id}

            from stytch import B2BClient

            from stytch.b2b.models.scim_connection import
            GetGroupsRequestOptions

            from stytch.shared.method_options import Authorization


            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )


            resp = client.scim.connection.get_groups(
                organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                connection_id="scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
                method_options=GetGroupsRequestOptions(
                    authorization=Authorization(
                        session_token="${sessionToken}",
                    ),
                ),
            )


            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
            require 'stytch'

            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.scim.connection.get_groups(
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
              method_options: StytchB2B::SCIM::Connection::GetGroupsRequestOptions.new(
                authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
              )
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
            use stytch::b2b::client::Client;
            use stytch::b2b::scim_connection::GetGroupsRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.scim.connection.get_groups(
                    GetGroupsRequest{
                        organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                        connection_id: "scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # GET /v1/b2b/scim/{organization_id}/connection/{connection_id}
            curl --request GET \
              --url https://test.stytch.com/v1/b2b/scim/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connection/scim-connection-test-cdd5415a-c470-42be-8369-5c90cf7762dc \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -H "X-Stytch-Member-Session: ${sessionToken}"
components:
  schemas:
    api_b2b_scim_v1_b2b_scim_connection_GetGroupsResponse:
      type: object
      properties:
        scim_groups:
          type: array
          items:
            $ref: '#/components/schemas/api_b2b_scim_v1_SCIMGroup'
          description: A list of SCIM Connection Groups belonging to the connection.
        status_code:
          type: integer
          format: int32
        next_cursor:
          type: string
          description: >-
            The `next_cursor` string is returned when your search result
            contains more than one page of results. This value is passed into
            your next search call in the `cursor` field.
      required:
        - scim_groups
        - status_code
    api_b2b_scim_v1_SCIMGroup:
      type: object
      properties:
        group_id:
          type: string
          description: >-
            Stytch-issued, globally unique UUID that identifies a specific SCIM
            Group. The entity `id` in the SCIM specification is issued by the
            Service Provider (SP) and returned to the Identity Provider (IdP) to
            store and use for uniquely identify and updating the Group moving
            forward.
        group_name:
          type: string
          description: >-
            The displayName of the SCIM group, sent from the Identity Provider
            (IdP).
        organization_id:
          type: string
          description: >-
            Globally unique UUID that identifies a specific Organization. The
            organization_id is critical to perform operations on an
            Organization, so be sure to preserve this value.
        connection_id:
          type: string
          description: The ID of the SCIM connection.
      required:
        - group_id
        - group_name
        - organization_id
        - connection_id
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````